# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name bloomfilter

%global common_summary A fast, space efficient Bloom filter implementation

%global common_description This package provides both mutable \
and immutable Bloom filter data types, \
along with a family of hash function and an easy-to-use interface.

Name:           ghc-%{pkg_name}
Version:        1.2.6.8
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-deepseq-devel, ghc-bytestring-devel, ghc-array-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files


%changelog
* Sat Apr 14 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.2.6.8-1
- spec file template generated by cabal2spec-0.25.5
- Package updated to 1.2.6.8

* Sun Jan 16 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.2.6.7-1
- Initial package. License is BSD. Added summary and description

* Sun Jan 16 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.2.6.7-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.4
